Loading...
Searching...
No Matches
Opm::TableSchema Class Reference

## Public Member Functions

void | addColumn (const ColumnSchema &)
const ColumnSchema & | getColumn (const std::string &name) const
const ColumnSchema & | getColumn (std::size_t columnIndex) const
bool | hasColumn (const std::string &) const
std::size_t | size () const
bool | operator== (const TableSchema &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static TableSchema | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/TableSchema.hpp
- opm/input/eclipse/EclipseState/Tables/TableSchema.cpp